### Method

# Secret Service read_alias_dbus_path_sync

#### Declaration [src]

    gchar*
    secret_service_read_alias_dbus_path_sync (
      SecretService* self,
      const gchar* alias,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Lookup which collection is assigned to this alias.

Aliases help determine well known collections, such as ‘default’. This method returns the dbus object path of the collection.

This method may block and should not be used in user interface threads.

Stability: Unstable

This method is not directly available to language bindings.

#### Parameters

`alias`

  Type: `const gchar*`

  The alias to lookup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

The collection dbus object path, or `NULL` if none assigned to the alias.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.